This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 27098 - /sbin/cardctl is suid-root
/sbin/cardctl is suid-root
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-11 19:31 EST by Chris Evans
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-11 19:31:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2001-02-11 19:31:01 EST
Hi,

Not sure if this is intentional or not. /sbin/cardctl has
become suid-root in BETA3. It isn't suid-root in RH7.0.

Ages ago we removed the suid bit from the binary, so
I'm wondering if a packaging error has crept in.
Comment 1 Bill Nottingham 2001-02-11 22:22:10 EST
Fixed in 3.1.23-0.6. It fell out when we switched to building it as
its onw source package.

Note You need to log in before you can comment on or make changes to this bug.